VtkObjectComboBoxModel
Keywords: com.artenum.cassandra.util.VtkObjectComboBoxModel class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra.util
Class VtkObjectComboBoxModel

    java.lang.Object
      com.artenum.cassandra.util.VtkObjectComboBoxModel

All Implemented Interfaces:
  java.util.EventListener, javax.swing.ComboBoxModel, javax.swing.event.ListDataListener, javax.swing.ListModel

    public class VtkObjectComboBoxModel

extends java.lang.Object
implements javax.swing.ComboBoxModel, javax.swing.event.ListDataListener

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : Convert a VtkObjectListModel to a VtkObjectComboBoxModel

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Constructor Summary
`VtkObjectComboBoxModel(VtkObjectListModel listModel, VtkObject filteredItem)`

Method Summary
`void` | `addListDataListener(javax.swing.event.ListDataListener l)`
`void` | `contentsChanged(javax.swing.event.ListDataEvent e)`
`java.lang.Object` | `getElementAt(int index)`
`java.lang.Object` | `getSelectedItem()`
`int` | `getSize()`
`void` | `intervalAdded(javax.swing.event.ListDataEvent e)`
`void` | `intervalRemoved(javax.swing.event.ListDataEvent e)`
`void` | `removeListDataListener(javax.swing.event.ListDataListener l)`
`void` | `setSelectedEncapsulateItem(java.lang.Object anItem)`
`void` | `setSelectedItem(java.lang.Object anItem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VtkObjectComboBoxModel

    public VtkObjectComboBoxModel(VtkObjectListModel listModel,
                                  VtkObject filteredItem)

Method Detail

### getSelectedItem

    public java.lang.Object getSelectedItem()

  Specified by:
    `getSelectedItem` in interface `javax.swing.ComboBoxModel`

### setSelectedItem

    public void setSelectedItem(java.lang.Object anItem)

  Specified by:
    `setSelectedItem` in interface `javax.swing.ComboBoxModel`

### setSelectedEncapsulateItem

    public void setSelectedEncapsulateItem(java.lang.Object anItem)

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### addListDataListener

    public void addListDataListener(javax.swing.event.ListDataListener l)

  Specified by:
    `addListDataListener` in interface `javax.swing.ListModel`

### removeListDataListener

    public void removeListDataListener(javax.swing.event.ListDataListener l)

  Specified by:
    `removeListDataListener` in interface `javax.swing.ListModel`

### contentsChanged

    public void contentsChanged(javax.swing.event.ListDataEvent e)

  Specified by:
    `contentsChanged` in interface `javax.swing.event.ListDataListener`

### intervalAdded

    public void intervalAdded(javax.swing.event.ListDataEvent e)

  Specified by:
    `intervalAdded` in interface `javax.swing.event.ListDataListener`

### intervalRemoved

    public void intervalRemoved(javax.swing.event.ListDataEvent e)

  Specified by:
    `intervalRemoved` in interface `javax.swing.event.ListDataListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com